---
title: History.back()
slug: Web/API/History/back
tags:
  - API
  - HTML DOM
  - History
  - History API
  - Method
  - Reference
  - Web
---
<div>{{APIRef("History API")}}</div>

<p><span class="seoSummary">The <strong><code>History.back()</code></strong> method causes the browser to move back one page in the session history.</span> It has the same effect as calling {{domxref("History.go", "history.go(-1)")}}. If there is no previous page, this method call does nothing.</p>

<p>This method is {{glossary("asynchronous")}}. Add a listener for the {{event("popstate")}} event in order to determine when the navigation has completed.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">history.back()</pre>

<h2 id="Examples">Examples</h2>

<p>The following short example causes a button on the page to navigate back one entry in the session history.</p>

<h3 id="HTML">HTML</h3>

<pre class="brush: html">&lt;button id="go-back"&gt;Go back!&lt;/button&gt;</pre>

<h3 id="JavaScript">JavaScript</h3>

<pre class="brush: js">document.getElementById('go-back').addEventListener('click', () =&gt; {
  history.back();
});</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("HTML WHATWG", "history.html#history", "History.back()")}}</td>
   <td>{{Spec2("HTML WHATWG")}}</td>
   <td>No change from {{SpecName("HTML5 W3C")}}.</td>
  </tr>
  <tr>
   <td>{{SpecName("HTML5 W3C", "browsers.html#dom-history-back", "History.back()")}}</td>
   <td>{{Spec2("HTML5 W3C")}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_Compatibility">Browser Compatibility</h2>

<p>{{Compat("api.History.back")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("History")}}</li>
 <li><a href="/en-US/docs/Web/API/History_API/Working_with_the_History_API">Working with the History API</a></li>
</ul>
